---
title: "Edit event subscription (basic auth)"
url: "https://docs.signnow.com/docs/basic-auth/operations/update-event-subscription"
type: "endpoint"
section: "basic-auth"
slug: "basic-auth/operations/update-event-subscription"
method: "PUT"
path: "/v2/events/{event_subscription_id}"
operation_id: "update-event-subscription"
authorization: "basic"
---

# Edit event subscription (basic auth)

`PUT /v2/events/{event_subscription_id}`

This endpoint allows API users to change an existing event subscription. This request uses Basic authorization. For the request with Bearer authorization, see [Update event subscription (bearer auth)](/docs/manage-event-subscriptions/operations/put-v2-event-subscriptions-subscription_id).

## Authorization

basic

## Path Parameters

| Name | Type | Required | Description |
|------|------|----------|-------------|
| `event_subscription_id` | string | Yes |  |

## Request Body

**Schema**

```json
{
  "type": "object",
  "properties": {
    "event": {
      "type": "string"
    },
    "action": {
      "type": "string"
    },
    "entity_id": {
      "type": "string"
    },
    "attributes": {
      "type": "object",
      "properties": {
        "headers": {
          "type": "object",
          "properties": {
            "int_head": {
              "type": "integer"
            },
            "bool_head": {
              "type": "boolean"
            },
            "float_head": {
              "type": "number"
            },
            "string_head": {
              "type": "string"
            }
          }
        },
        "callback": {
          "type": "string"
        },
        "use_tls_12": {
          "type": "boolean"
        },
        "integration_id": {
          "type": "string"
        },
        "docid_queryparam": {
          "type": "boolean"
        }
      }
    }
  }
}
```

## Responses

### 200

**Example** (`Example 1`)

```json
{
  "id": "5eXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX"
}
```

### 400

* "attributes must not be empty" - "attributes" array is missing or empty
* "'callback' is missing." -  required parameter "callback" is missing
* "Action must be equal 'callback'" - required parameter "action" is missing OR value of "action" parameter differs from 'callback'
* "event must not be empty" - required parameter "event" is missing or has an empty value
* "event must be string" - value of the "event" parameter is not a string
* "callback must be string" - value of the "callback" parameter is not a string
* "callback must be url" - value of "callback" parameter is not an URL
* "Invalid integration id - {integration_id}" - value of "integration_id" parameter doesn't exist in database

**Example** (`event`)

```json
"{\n  \"code\": 65582,\n  \"message\": \"event must be string\"\n}"
```

**Example** (`action`)

```json
{
  "message": "Action must be equal 'callback'"
}
```

**Example** (`callback`)

```json
{
  "code": 400,
  "message": "attributes must not be empty"
}
```

**Example** (`attributes`)

```json
{
  "code": 400,
  "message": "attributes must not be empty"
}
```

**Example** (`empty event`)

```json
{
  "code": 65582,
  "message": "event must not be empty"
}
```

**Example** (`integration`)

```json
{
  "message": "Invalid integration id - {integration_id}"
}
```

**Example** (`callback is not an url`)

```json
{
  "code": 400,
  "message": "callback must be url"
}
```

**Example** (`callback is not a string`)

```json
{
  "code": 65582,
  "message": "callback must be string"
}
```

## Code Examples

> Replace `$SIGNNOW_ACCESS_TOKEN` and any `{placeholder}` values before running.

### cURL

```bash
curl -X PUT \
  "https://api.signnow.com/v2/events/{event_subscription_id}" \
  -H "Authorization: Basic $SIGNNOW_ACCESS_TOKEN" \
  -H "Content-Type: application/json"
```

---
*Full reference: https://docs.signnow.com/docs/basic-auth/operations/update-event-subscription*
